Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class Module

    java.lang.Object
      org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
          org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
              org.gradle.plugins.ide.idea.model.Module

    class Module
    extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

Represents the customizable elements of an iml (via XML hooks everything of the iml is customizable).

Authors:
  Hans Dockter

Field Summary

Fields inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
__$stMC, __timeStamp, __timeStamp__239_neverHappen1321509988713, __$stMC, __timeStamp, __timeStamp__239_neverHappen1321509988345

Fields inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
__$stMC, __timeStamp, __timeStamp__239_neverHappen1321509988345

Property Summary
`static java.lang.String` | `INHERITED`
`Path` | `contentPath` The directory for the content root of the module.
`java.util.Set` | `dependencies` The dependencies of this module.
`java.util.Set` | `excludeFolders` The directories to be excluded.
`boolean` | `inheritOutputDirs` If true, output directories for this module will be located below the output directory for the project; otherwise, outputDir and testOutputDir will take effect.
`java.lang.String` | `jdkName`
`Path` | `outputDir` The output directory for production classes.
`java.util.Set` | `sourceFolders` The directories containing the production sources.
`Path` | `testOutputDir` The output directory for test classes.
`java.util.Set` | `testSourceFolders` The directories containing the test sources.

Constructor Summary
`Module(org.gradle.api.internal.XmlTransformer withXmlActions, PathFactory pathFactory)`

Method Summary
`protected java.lang.Object` | `configure(Path contentPath, java.util.Set sourceFolders, java.util.Set testSourceFolders, java.util.Set excludeFolders, java.lang.Boolean inheritOutputDirs, Path outputDir, Path testOutputDir, java.util.Set dependencies, java.lang.String jdkName)`
`boolean` | `equals(java.lang.Object o)`
`protected java.lang.String` | `getDefaultResourceName()`
`java.lang.String` | `getJavaVersion()`
`int` | `hashCode()`
`protected boolean` | `isDependencyOrderEntry(java.lang.Object orderEntry)`
`protected void` | `load(groovy.util.Node xml)`
`void` | `setJavaVersion(java.lang.String jdkName)`
`protected void` | `store(groovy.util.Node xml)`
`java.lang.String` | `toString()`

Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#__$swapInit(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$wait(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$wait(long, int), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$toString(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$notify(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$notifyAll(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this$dist$invoke$2(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this$dist$set$2(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this$dist$get$2(java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$getMetaClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$this$dist$invoke$1(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$this$dist$get$1(java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$$getStaticMetaClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$this$dist$set$1(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$store(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getXml(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$loadDefaults(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#transformAction(groovy.lang.Closure), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$load(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this$dist$invoke$1(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this$dist$set$1(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this$dist$get$1(java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$wait(long), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$getClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$clone(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$hashCode(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$finalize(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notifyAll()

Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this$dist$invoke$1(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this$dist$set$1(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this$dist$get$1(java.lang.String), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#__$swapInit(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$wait(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$wait(long), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$wait(long, int), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$toString(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$notify(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$notifyAll(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$getClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$clone(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$hashCode(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$finalize(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notifyAll()

Property Detail

### INHERITED

    static final java.lang.String INHERITED

### contentPath

    Path contentPath

  The directory for the content root of the module. Defaults to the project dirctory. If null, the directory containing the output file will be used.

### dependencies

    java.util.Set dependencies

  The dependencies of this module. Must not be null.

### excludeFolders

    java.util.Set excludeFolders

  The directories to be excluded. Must not be null.

### inheritOutputDirs

    boolean inheritOutputDirs

  If true, output directories for this module will be located below the output directory for the project; otherwise, outputDir and testOutputDir will take effect.

### jdkName

    java.lang.String jdkName

### outputDir

    Path outputDir

  The output directory for production classes. If `null`, no entry will be created.

### sourceFolders

    java.util.Set sourceFolders

  The directories containing the production sources. Must not be null.

### testOutputDir

    Path testOutputDir

  The output directory for test classes. If `null`, no entry will be created.

### testSourceFolders

    java.util.Set testSourceFolders

  The directories containing the test sources. Must not be null.

Constructor Detail

### Module

    Module(org.gradle.api.internal.XmlTransformer withXmlActions, PathFactory pathFactory)

Method Detail

### configure

    protected java.lang.Object configure(Path contentPath, java.util.Set sourceFolders, java.util.Set testSourceFolders, java.util.Set excludeFolders, java.lang.Boolean inheritOutputDirs, Path outputDir, Path testOutputDir, java.util.Set dependencies, java.lang.String jdkName)

### equals

    boolean equals(java.lang.Object o)

### getDefaultResourceName

    @Override
    protected java.lang.String getDefaultResourceName()

### getJavaVersion

    java.lang.String getJavaVersion()

### hashCode

    int hashCode()

### isDependencyOrderEntry

    protected boolean isDependencyOrderEntry(java.lang.Object orderEntry)

### load

    @Override
    protected void load(groovy.util.Node xml)

### setJavaVersion

    void setJavaVersion(java.lang.String jdkName)

### store

    @Override
    protected void store(groovy.util.Node xml)

### toString

    java.lang.String toString()

Groovy Documentation